> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/46.-amlyh-tadyl-inshaa-khryth-almnatq-mtaddh-altbqat-bshkl-ghyr-mtzamn.md).

# 46. عملية تعديل: إنشاء "خريطة المناطق" متعددة الطبقات بشكل غير متزامن

إنشاء "خريطة\_المناطق" استنادًا إلى طبقات متعددة لـ "الحقل" بشكل غير متزامن.

{% hint style="info" %}
تولد المقاربة غير المتزامنة مهمة (Generate "generateVectorAnalysisMap") للمعالجة وسيتم استلام الاشتراك بمجرد انتهاء المعالجة.
{% endhint %}

سمة `طبقات_البيانات` تحتوي على المعلومات اللازمة لكل طبقة بيانات لاستخدامها في النتيجة "خريطة\_المناطق". السمة `عامل` يمثل **وزن** لطبقة البيانات.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
تحوير GenerateMultiLayerZonesMapAsync {
  generateMultiLayersVectorAnalysisMapAsync(input: {
    fieldUuid: "<placeholder_of_field_uuid>"
    عدد_المناطق:7
    الاسم: "متعدد_السنوات f1.0 + ميل_الليدار f-0.5 + مادة_عضوية f0.5 + إنتاجية_الحجم f0.2"
    طبقات_البيانات: [{
      عامل: 1.0
      satelliteImageUuids: [
        "<placeholder_of_satelliteimage_uuid_1>",
	"<placeholder_of_satelliteimage_uuid_2>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_3>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_4>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_5>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_6>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_7>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_8>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_9>",
        "<عنصر_نائب_لمعرف_صورة_فضائية_10>"
      ]
    	المؤشر: EVI2
    }, {
      عامل: -0.5
      topographyMapUuid: "<placeholder_of_topographymap_uuid>"
    	سمة_التضاريس: الانحدار
    }, {
      عامل: 0.5
      soilDatasetUuid: "<placeholder_of_soildataset_uuid>"
      سمة_التربة: "Soil_OM___"
    }, {
      عامل: 0.2
      yieldDatasetUuid: "<placeholder_of_yielddataset_uuid>"
      سمة_الإنتاج: vol_d
    }]
  }) {    
    uuid 
    معرف_الحقل
    رمز_الحالة  
  }
}

```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/wthaeq-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/46.-amlyh-tadyl-inshaa-khryth-almnatq-mtaddh-altbqat-bshkl-ghyr-mtzamn.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
